Debian Bug report logs - #641624
ITP: wcslib -- Implementation of the FITS WCS standard

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ole Streicher <debian@liska.ath.cx>

Date: Wed, 14 Sep 2011 18:15:01 UTC

Owned by: Ole Streicher <debian@liska.ath.cx>

Severity: wishlist

Fixed in version wcslib/4.8.2-1

Done: Alastair McKinstry <mckinstry@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#641624; Package wnpp. (Wed, 14 Sep 2011 18:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 14 Sep 2011 18:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wcslib -- Implementation of the FITS WCS standard
Date: Wed, 14 Sep 2011 20:02:36 +0200
Package: wnpp
Severity: wishlist
Owner: Ole Streicher <debian@liska.ath.cx>


* Package name    : wcslib
  Version         : 4.8
  Upstream Author : Mark Calabretta <mcalabre@atnf.csiro.au>
* URL             : http://www.atnf.csiro.au/people/mcalabre/WCS/
* License         : GPLv3+
  Programming Lang: C
  Description     : Implementation of the FITS WCS standard

WCSLIB is a C library, supplied with a full set of Fortran wrappers, that
implements the "World Coordinate System" (WCS) standard in FITS (Flexible
Image Transport System).
.
The FITS data format is widely used within the international astronomical
community, from the radio to gamma-ray regimes, for data interchange and
archive, and also increasingly as an online format.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#641624; Package wnpp. (Thu, 15 Sep 2011 07:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 15 Sep 2011 07:39:09 GMT) Full text and rfc822 format available.

Message #10 received at 641624@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: 641624@bugs.debian.org
Subject: Older Attempt
Date: Thu, 15 Sep 2011 09:30:07 +0200
There was an older (archived now) attempt to package this library: Bug
#34188

In this ld ITP, the library got the name "libwcs". However, there is a
competing library available called "libwcs", which is part of the
WCSTOOLS package <http://tdc-www.harvard.edu/software/wcstools/>.

I would however call the library package "libwcs<soname>" as this is
what lintian recommends, and both upstream packages would install a
libwcs.so, so they would conflict on the same system anyway. And
wcstools may use the wcslib (as packaged here), so there is still a
possibility to package WCSTOOLS in a way that does not conflict with wcslib.

To summarize, I would use the following naming scheme:

- wcslib as source package
- libwcs<soname> as library package
- libwcs<soname>-dev as header/static library package
- wcslib-tools for the binary tools provided by the package

See also
<http://mail.scipy.org/pipermail/astropy/2011-March/001179.html> for a
discussion of the relation between the two packages.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#641624; Package wnpp. (Fri, 23 Sep 2011 12:36:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ole Streicher <debian@liska.ath.cx>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 23 Sep 2011 12:36:24 GMT) Full text and rfc822 format available.

Message #15 received at 641624@bugs.debian.org (full text, mbox):

From: Ole Streicher <debian@liska.ath.cx>
To: 641624@bugs.debian.org
Subject: Copyright clarification
Date: Fri, 23 Sep 2011 14:32:32 +0200
The copyright statement given in the ITP is wrong. According to
<http://www.atnf.csiro.au/people/mcalabre/WCS/wcslib/index.html>
the License is LGPLv3+.




Added indication that bug 641624 blocks 641628 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Tue, 04 Oct 2011 07:30:04 GMT) Full text and rfc822 format available.

Added indication that bug 641624 blocks 641635 Request was from Ole Streicher <debian@liska.ath.cx> to control@bugs.debian.org. (Tue, 04 Oct 2011 07:30:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 07 Oct 2011 07:09:14 GMT) Full text and rfc822 format available.

Reply sent to Alastair McKinstry <mckinstry@debian.org>:
You have taken responsibility. (Sat, 08 Oct 2011 13:21:39 GMT) Full text and rfc822 format available.

Notification sent to Ole Streicher <debian@liska.ath.cx>:
Bug acknowledged by developer. (Sat, 08 Oct 2011 13:21:44 GMT) Full text and rfc822 format available.

Message #26 received at 641624-close@bugs.debian.org (full text, mbox):

From: Alastair McKinstry <mckinstry@debian.org>
To: 641624-close@bugs.debian.org
Subject: Bug#641624: fixed in wcslib 4.8.2-1
Date: Sat, 08 Oct 2011 13:18:21 +0000
Source: wcslib
Source-Version: 4.8.2-1

We believe that the bug you reported is fixed in the latest version of
wcslib, which is due to be installed in the Debian FTP archive:

libwcs4_4.8.2-1_i386.deb
  to main/w/wcslib/libwcs4_4.8.2-1_i386.deb
wcslib-dev_4.8.2-1_i386.deb
  to main/w/wcslib/wcslib-dev_4.8.2-1_i386.deb
wcslib-doc_4.8.2-1_all.deb
  to main/w/wcslib/wcslib-doc_4.8.2-1_all.deb
wcslib-tools_4.8.2-1_i386.deb
  to main/w/wcslib/wcslib-tools_4.8.2-1_i386.deb
wcslib_4.8.2-1.debian.tar.gz
  to main/w/wcslib/wcslib_4.8.2-1.debian.tar.gz
wcslib_4.8.2-1.dsc
  to main/w/wcslib/wcslib_4.8.2-1.dsc
wcslib_4.8.2.orig.tar.bz2
  to main/w/wcslib/wcslib_4.8.2.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641624@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alastair McKinstry <mckinstry@debian.org> (supplier of updated wcslib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 05 Oct 2011 20:52:07 +0100
Source: wcslib
Binary: libwcs4 wcslib-dev wcslib-doc wcslib-tools
Architecture: source i386 all
Version: 4.8.2-1
Distribution: unstable
Urgency: low
Maintainer: Ole Streicher <debian@liska.ath.cx>
Changed-By: Alastair McKinstry <mckinstry@debian.org>
Description: 
 libwcs4    - Implementation of the FITS WCS standard
 wcslib-dev - Header files and static library for libwcs
 wcslib-doc - API documentation for wcslib
 wcslib-tools - Command line tools utilizing libwcslib
Closes: 641624
Changes: 
 wcslib (4.8.2-1) unstable; urgency=low
 .
   [ Ole Streicher ]
   * New package. Closes: #641624
Checksums-Sha1: 
 515df9f496127b9a851cd4924fa20477dba7d740 1960 wcslib_4.8.2-1.dsc
 3e901d372d459b023a453e22a521b1f369d1d465 1758929 wcslib_4.8.2.orig.tar.bz2
 18b02c70b71abaee354da36da463e6bd1ffb7063 3571 wcslib_4.8.2-1.debian.tar.gz
 60de761138b660afe95c384174866a5af488c8eb 222004 libwcs4_4.8.2-1_i386.deb
 9f3928e668cb6737aa17eefee4cbb98ed2e296f2 336808 wcslib-dev_4.8.2-1_i386.deb
 4aa34f35414f176bd9afe814f48aa95b7e44ffc8 1393578 wcslib-doc_4.8.2-1_all.deb
 1ca06ef7a276b36001c62224420c75768c6beaf5 166634 wcslib-tools_4.8.2-1_i386.deb
Checksums-Sha256: 
 dfd946e7f0113c97c51877c5caa462fa0d65da1f5ffc32125e737d9133f38a93 1960 wcslib_4.8.2-1.dsc
 7f0e381b5b1c85d558dd4c6bb53eef07b3bafb69b603ecf2d46479eda67895cf 1758929 wcslib_4.8.2.orig.tar.bz2
 03455ca4bda4717ccfb9f0be16c9eb3e72b97429c9c77d8fc9ca61ff814fafad 3571 wcslib_4.8.2-1.debian.tar.gz
 de2390bcccde45e519051d2d1df3d18adb59bf87450a7c1e3ae92cdf56ff7d24 222004 libwcs4_4.8.2-1_i386.deb
 fe184f656d7562214c077f05286bda983458357502da1fac60cf237aeed89988 336808 wcslib-dev_4.8.2-1_i386.deb
 8b0a4d892a7c650d87dde6911be76485ce66f7b9a47cb3cd292a356930cfe0f9 1393578 wcslib-doc_4.8.2-1_all.deb
 95a09db45cba30609deafd89c3d9470b2b7c35557df064d7b03896e5a7358c93 166634 wcslib-tools_4.8.2-1_i386.deb
Files: 
 056a7ddba28a85e365295e413f26e4be 1960 science extra wcslib_4.8.2-1.dsc
 fd7c0c8f610c1f5793ff20a46fecead3 1758929 science extra wcslib_4.8.2.orig.tar.bz2
 fe77ab1eec9d397a5ef7d41e91955e0c 3571 science extra wcslib_4.8.2-1.debian.tar.gz
 6b9dc6ef7cefda27514359237bbce730 222004 libs extra libwcs4_4.8.2-1_i386.deb
 3c68e311a2bf2a0e96c6f088995eb1d8 336808 libdevel extra wcslib-dev_4.8.2-1_i386.deb
 7c62b0f24081dfff913bfc34dcc731b8 1393578 doc extra wcslib-doc_4.8.2-1_all.deb
 84e5fd61029bcd25b26566434362fa6f 166634 science extra wcslib-tools_4.8.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOjLazAAoJEN9LdrZRJ3QsbCEP/0BRzYenU+a23eKlAnE+kmcG
wSitG50+wKAAym6jkiHlxRIk+C/n0jm3t+38lI3JsXC+EjKkkI1t7n7Ki7qKPrpn
E94ZRZ2gMO9Hyf9jU/twIN6CCj3YVlfkiCkM3XACMsPzKhRKKzuMJ4Z6M9cpz8yM
p18qCgnQ34JbtMKDUfvESK4IE9Vjcez3UiN7NMha5bIGJ3jSSTWxxzSE8G0zqXtd
EPb7kWORgPnTzznrxVucfXnczELsbBV4NXzu274aAJFdCBpN1DwACxpGMRe6wZAq
67D8ZNO2ztIrjw1p1MZ7TYtzqlK4nk8t2tNfNTvlK1Ay48XP6Lq6siQ1crmmL9nl
5E1E8y9x0HP5AlmDJwSw9YUocZax5x36G03hVb2M2GrDBdvQFD9tROazkw0o9sXW
yau5z8OOHUziMrmXqTY846zBH5+VIvFMJWB/scMTHL6/wkyJtKRwBgSTS6a6Us8b
bnpqLS1o6BDJqBPh0ShU/hrzX0wqXAEPueZnEBmAnvdUUO8qPTnf2S5jZt7aK+DO
lXtfnsFoPvYxC3LWQ8g+vuMw0pVqQuOQWMG5V1HsEIs+wxmZKQQMqds/omYrRNJo
TtxlCLJVQjkqrv2Vo6KfrwBRmZ8b1sxzqqHM0Zgj5+7I4CEPRhSRPTEmMF+nkDKB
W3ImN9Ydt+ENnOTwXYY4
=anWy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Nov 2011 07:34:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:32:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.